Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface ICalendarItem

All Superinterfaces
  IGroupwareItem, IItem, IMessagingItem, Serializable

All Known Subinterfaces:
  IAppointment, ICmAppointment

    public interface ICalendarItem

extends IGroupwareItem

Calendar items represent the common set of properties and logic among appointments of different types.

Field Summary
`static Key` | `BUSY_STATUS` The key representing the busy status of the appointment.
`static Key` | `DURATION` The key representing the duration of the appointment (read-only).
`static Key` | `END_TIME` The key representing the end time of the appointment.
`static Key` | `IS_ALL_DAY` The key that represents if the appointment is an all day event (read-only).
`static Key` | `IS_RECURRING` The key that represents if the appointment is recurring (read-only).
`static int` | `KEYID_BUSY_STATUS` The `int` ID for the `BUSY_STATUS` key.
`static int` | `KEYID_DURATION` The `int` ID for the `DURATION` key.
`static int` | `KEYID_END_TIME` The `int` ID for the `END_TIME` key.
`static int` | `KEYID_IS_ALL_DAY` The `int` ID for the `IS_ALL_DAY` key.
`static int` | `KEYID_IS_RECURRING` The `int` ID for the `IS_RECURRING` key.
`static int` | `KEYID_LOCATION` The `int` ID for the `LOCATION` key.
`static int` | `KEYID_START_TIME` The `int` ID for the `START_TIME` key.
`static Key` | `LOCATION` The key representing the location of the appointment.
`static Key` | `START_TIME` The key representing the start time of the appointment.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`BusyStatus` | `getBusyStatus()` Gets the busy status of this calendar item.
`int` | `getDuration()` Gets the duration of the appointment, in minutes.
`Date` | `getEndTime()` Gets the end date and time of the appointment.
`String` | `getLocation()` Gets the location of the appointment.
`Date` | `getStartTime()` Gets the start date and time of the appointment.
`boolean` | `isAllDayEvent()` Returns if the appointment is an all day event.
`boolean` | `isRecurring()` Returns if the appointment is recurring.

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_DURATION

    static final int KEYID_DURATION

  The `int` ID for the `DURATION` key.

  See Also
    Constants Summary

### KEYID_END_TIME

    static final int KEYID_END_TIME

  The `int` ID for the `END_TIME` key.

  See Also
    Constants Summary

### KEYID_START_TIME

    static final int KEYID_START_TIME

  The `int` ID for the `START_TIME` key.

  See Also
    Constants Summary

### KEYID_IS_ALL_DAY

    static final int KEYID_IS_ALL_DAY

  The `int` ID for the `IS_ALL_DAY` key.

  See Also
    Constants Summary

### KEYID_IS_RECURRING

    static final int KEYID_IS_RECURRING

  The `int` ID for the `IS_RECURRING` key.

  See Also
    Constants Summary

### KEYID_LOCATION

    static final int KEYID_LOCATION

  The `int` ID for the `LOCATION` key.

  See Also
    Constants Summary

### KEYID_BUSY_STATUS

    static final int KEYID_BUSY_STATUS

  The `int` ID for the `BUSY_STATUS` key.

  See Also
    Constants Summary

### DURATION

    static final Key DURATION

  The key representing the duration of the appointment (read-only).

### START_TIME

    static final Key START_TIME

  The key representing the start time of the appointment.

### END_TIME

    static final Key END_TIME

  The key representing the end time of the appointment.

### IS_ALL_DAY

    static final Key IS_ALL_DAY

  The key that represents if the appointment is an all day event (read-only).

### IS_RECURRING

    static final Key IS_RECURRING

  The key that represents if the appointment is recurring (read-only).

### LOCATION

    static final Key LOCATION

  The key representing the location of the appointment.

### BUSY_STATUS

    static final Key BUSY_STATUS

  The key representing the busy status of the appointment.

Method Detail

### getDuration

    int getDuration()
                    throws CollaborationException

  Gets the duration of the appointment, in minutes.

  Returns
    the duration
  Throws
    `CollaborationException` - if there was an error getting the duration

### getStartTime

    Date getStartTime()
                      throws CollaborationException

  Gets the start date and time of the appointment.

  Returns
    the start date, with time fields
  Throws
    `CollaborationException` - if there was an error getting the start time.

### getEndTime

    Date getEndTime()
                    throws CollaborationException

  Gets the end date and time of the appointment.

  Returns
    the end date and time
  Throws
    `CollaborationException` - if there was an error fetching the end time

### getLocation

    String getLocation()
                       throws CollaborationException

  Gets the location of the appointment.

  Returns
    the location, as a string
  Throws
    `CollaborationException` - if there was an error getting the location.
  See Also
    `IAppointment.setLocation(String)`

### isAllDayEvent

    boolean isAllDayEvent()
                          throws CollaborationException

  Returns if the appointment is an all day event.

  Returns
    `true` if the appointment is an all day event.
  Throws
    `CollaborationException` - if there was an error getting the all day event flag

### isRecurring

    boolean isRecurring()
                        throws CollaborationException

  Returns if the appointment is recurring.

  Returns
    `true` if the appointment is recurring.
  Throws
    `CollaborationException` - if there was an error getting the recurring flag

### getBusyStatus

    BusyStatus getBusyStatus()
                             throws CollaborationException

  Gets the busy status of this calendar item.

  Returns
    the busy status for this calendar item.
  Throws
    `CollaborationException` - if there was a problem retrieveing the busy status of this calendar item.
  See Also
    `BUSY_STATUS`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved